package domain

type AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam struct {
	/*
	   五道口活动id     */
	ActivityId *int64 `json:"activity_id,omitempty" `

	/*
	   商家活动id     */
	OutActId *string `json:"out_act_id,omitempty" `
}

func (s *AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam {
	s.ActivityId = &v
	return s
}
func (s *AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingItembuygiftQueryactivityCommonActivityParam {
	s.OutActId = &v
	return s
}
